// creator  : weidu.exe (version 23100)
// argument : HLSHANG.DLG
// game		 : .
// source	 : ./override/HLSHANG.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HLSHANG~

IF ~True()~ THEN BEGIN 0 // from:
  SAY #55989 /* ~Stop.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #55990 /* ~You have power... chained, but it is not of my giving. Do you know where you are?~ */
  IF ~~ THEN REPLY #55991 /* ~Not as such, no.~ */ GOTO 2
  IF ~~ THEN REPLY #55992 /* ~I will not be questioned by the likes of you! Die fiend!~ */ GOTO 6
  IF ~~ THEN REPLY #55994 /* ~I am in the Bridge District of Athkatla. What kind of tricks are you playing on me?~ */ GOTO 7
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #55995 /* ~Yet, you had a key, a Rogue Stone. What did you hope to accomplish by trespassing in my chamber?~ */
  IF ~Global("HeardOfTwistedRuneHQ","GLOBAL",1)~ THEN REPLY #56001 /* ~I found a note that told of this place. I was curious to know what this is all about.~ */ GOTO 3
  IF ~~ THEN REPLY #56002 /* ~My arrival here was an accident. I will leave.~ */ GOTO 4
  IF ~~ THEN REPLY #56003 /* ~I am here to kill you.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 7.0 2.0
  SAY #56014 /* ~Hmm. I suppose the fool Koshi wrote it down. If you destroyed him to get it, you have my thanks. Punishing the fool has been getting boring as of late.~ */
  IF ~~ THEN REPLY #56016 /* ~You're welcome. Now, if you'll excuse me, I shall leave you be.~ */ GOTO 4
  IF ~~ THEN REPLY #56025 /* ~I tire of this. I'm leaving.~ */ GOTO 4
  IF ~~ THEN REPLY #56027 /* ~That said, you will be the one who is punished now. I will destroy you, fiend!~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 7.1 3.1 3.0 2.1
  SAY #56019 /* ~No. I don't suspect that you'll be leaving here today. When you play with powers that are beyond your meager skills, you'll soon find that a price is required.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #56021 /* ~In this case, you know too much and your life is forfeit. Come, my friends. It seems that the Twisted Rune shall have some amusement today.~ */
  IF ~~ THEN DO ~CreateVisualEffect("SPHEALIN",[962.554])
Wait(1)
CreateVisualEffect("SPFLSRIN",[962.554])
JumpToPoint([532.744])
SetGlobal("ShangalarMove","AR1008",1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 7.2 3.2 2.2 1.1
  SAY #56004 /* ~As you like. Come friends. It seems that the Twisted Rune shall have a bit of amusement today.~ */
  IF ~~ THEN DO ~CreateVisualEffect("SPHEALIN",[962.554])
Wait(1)
CreateVisualEffect("SPFLSRIN",[962.554])
JumpToPoint([532.744])
SetGlobal("ShangalarMove","AR1008",1)
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 1.2
  SAY #55996 /* ~Athkatla? Hardly. The portal is known only to my creatures and yet you had a key, a Rogue Stone. What did you hope to accomplish by trespassing in my chamber?~ */
  IF ~Global("HeardOfTwistedRuneHQ","GLOBAL",1)~ THEN REPLY #55999 /* ~I found a note that told of this place. I was curious to know what this is all about.~ */ GOTO 3
  IF ~~ THEN REPLY #56006 /* ~My arrival here was an accident. I will leave.~ */ GOTO 4
  IF ~~ THEN REPLY #56010 /* ~I intend to destroy you.~ */ GOTO 6
END
